<template>
  <div>
    <input
      v-bind="$attrs"
      type="password"
      class="input"
      :value="val || value"
      name="password_confirmation"
      required
      :placeholder="'Tapez votre mot de passe (confirmation)'"
      @input="input"
    >
    <p
      v-if="!isValid"
      class="help is-danger"
    >
      La confirmation du mot de passe ne correspond pas.
    </p>
  </div>
</template>
<script>

export default {
  inheritAttrs: false,
  props: {
    value: {
      type: String,
      default: '',
    },
    compareTo: {
      type: String,
      default: '',
    },
    minLength: {
      type: Number,
      default: 8,
    },
  },
  data: () => ({
    val: null,
  }),
  computed: {
    isValid() {
      return (this.compareTo || '') === (this.val || this.value || '');
    },
  },
  methods: {
    input({ target = {} } = {}) {
      this.val = target.value;
      this.$emit(
        'input',
        target.value,
      );
    },
  },
};
</script>
